Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class SearchParameters

    java.lang.Object
      nl.liacs.subdisc.SearchParameters

All Implemented Interfaces:
  XMLNodeInterface

    public class SearchParameters

extends java.lang.Object
implements XMLNodeInterface

SearchParameters contains all search parameters for an experiment.

Field Summary
`static float` | `ALPHA_DEFAULT`
`static float` | `ALPHA_EDIT_DISTANCE`
`static float` | `BETA_DEFAULT`
`static int` | `POST_PROCESSING_COUNT_DEFAULT`

Constructor Summary
`SearchParameters()`
`SearchParameters(org.w3c.dom.Node theSearchParametersNode)`

Method Summary
`void` | `addNodeTo(org.w3c.dom.Node theParentNode)` Creates an `XMLNode` representation of this SearchParameters.
`float` | `getAlpha()`
`float` | `getBeta()`
`float` | `getMaximumCoverage()`
`int` | `getMaximumSubgroups()`
`float` | `getMaximumTime()`
`int` | `getMinimumCoverage()`
`int` | `getNrBins()`
`NumericOperators` | `getNumericOperators()`
`NumericStrategy` | `getNumericStrategy()`
`int` | `getPostProcessingCount()`
`boolean` | `getPostProcessingDoAutoRun()`
`int` | `getQualityMeasure()`
`float` | `getQualityMeasureMinimum()`
`java.lang.String` | `getQualityMeasureString()`
`int` | `getSearchDepth()`
`SearchStrategy` | `getSearchStrategy()`
`int` | `getSearchStrategyWidth()`
`TargetConcept` | `getTargetConcept()`
`TargetType` | `getTargetType()`
`void` | `setAlpha(float theAlpha)`
`void` | `setBeta(float theBeta)`
`void` | `setMaximumCoverage(float theMaximumCoverage)`
`void` | `setMaximumSubgroups(int theMaximumSubgroups)`
`void` | `setMaximumTime(float theMaximumTime)`
`void` | `setMinimumCoverage(int theMinimumCoverage)`
`void` | `setNrBins(int theNr)`
`void` | `setNumericOperators(java.lang.String theNumericOperatorsName)`
`void` | `setNumericStrategy(java.lang.String theNumericStrategyName)`
`void` | `setPostProcessingCount(int theNr)`
`void` | `setPostProcessingDoAutoRun(boolean theAutoRunSetting)`
`void` | `setQualityMeasure(int theQualityMeasure)`
`void` | `setQualityMeasure(java.lang.String theQualityMeasure)`
`void` | `setQualityMeasureMinimum(float theQualityMeasureMinimum)`
`void` | `setSearchDepth(int theSearchDepth)`
`void` | `setSearchStrategy(java.lang.String theSearchStrategyName)`
`void` | `setSearchStrategyWidth(int theWidth)`
`void` | `setTargetConcept(TargetConcept theTargetConcept)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA_EDIT_DISTANCE

    public static final float ALPHA_EDIT_DISTANCE

See Also:
  Constant Field Values

### ALPHA_DEFAULT

    public static final float ALPHA_DEFAULT

See Also:
  Constant Field Values

### BETA_DEFAULT

    public static final float BETA_DEFAULT

See Also:
  Constant Field Values

### POST_PROCESSING_COUNT_DEFAULT

    public static final int POST_PROCESSING_COUNT_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### SearchParameters

    public SearchParameters(org.w3c.dom.Node theSearchParametersNode)

### SearchParameters

    public SearchParameters()

Method Detail

### getTargetConcept

    public TargetConcept getTargetConcept()

### setTargetConcept

    public void setTargetConcept(TargetConcept theTargetConcept)

### getTargetType

    public TargetType getTargetType()

### getQualityMeasure

    public int getQualityMeasure()

### getQualityMeasureString

    public java.lang.String getQualityMeasureString()

### getQualityMeasureMinimum

    public float getQualityMeasureMinimum()

### setQualityMeasureMinimum

    public void setQualityMeasureMinimum(float theQualityMeasureMinimum)

### setQualityMeasure

    public void setQualityMeasure(java.lang.String theQualityMeasure)

### setQualityMeasure

    public void setQualityMeasure(int theQualityMeasure)

### getSearchDepth

    public int getSearchDepth()

### setSearchDepth

    public void setSearchDepth(int theSearchDepth)

### getMinimumCoverage

    public int getMinimumCoverage()

### setMinimumCoverage

    public void setMinimumCoverage(int theMinimumCoverage)

### getMaximumCoverage

    public float getMaximumCoverage()

### setMaximumCoverage

    public void setMaximumCoverage(float theMaximumCoverage)

### getMaximumSubgroups

    public int getMaximumSubgroups()

### setMaximumSubgroups

    public void setMaximumSubgroups(int theMaximumSubgroups)

### getMaximumTime

    public float getMaximumTime()

### setMaximumTime

    public void setMaximumTime(float theMaximumTime)

### getSearchStrategy

    public SearchStrategy getSearchStrategy()

### setSearchStrategy

    public void setSearchStrategy(java.lang.String theSearchStrategyName)

### getNumericOperators

    public NumericOperators getNumericOperators()

### setNumericOperators

    public void setNumericOperators(java.lang.String theNumericOperatorsName)

### getNumericStrategy

    public NumericStrategy getNumericStrategy()

### setNumericStrategy

    public void setNumericStrategy(java.lang.String theNumericStrategyName)

### getSearchStrategyWidth

    public int getSearchStrategyWidth()

### setSearchStrategyWidth

    public void setSearchStrategyWidth(int theWidth)

### getNrBins

    public int getNrBins()

### setNrBins

    public void setNrBins(int theNr)

### getAlpha

    public float getAlpha()

### setAlpha

    public void setAlpha(float theAlpha)

### getBeta

    public float getBeta()

### setBeta

    public void setBeta(float theBeta)

### getPostProcessingDoAutoRun

    public boolean getPostProcessingDoAutoRun()

### setPostProcessingDoAutoRun

    public void setPostProcessingDoAutoRun(boolean theAutoRunSetting)

### getPostProcessingCount

    public int getPostProcessingCount()

### setPostProcessingCount

    public void setPostProcessingCount(int theNr)

### addNodeTo

    public void addNodeTo(org.w3c.dom.Node theParentNode)

  Creates an `XMLNode` representation of this SearchParameters.

  Specified by:
    `addNodeTo` in interface `XMLNodeInterface`
  Parameters:
    `theParentNode` - the Node of which this Node will be a ChildNode // * @return a Node that contains all the information of this SearchParameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD